Index: CKEditor/trunk/_source/lang/da.js
===================================================================
--- CKEditor/trunk/_source/lang/da.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/da.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Indsæt vandret streg',
 	pagebreak		: 'Indsæt sideskift',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Fjern hyperlink',
 	undo			: 'Fortryd',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Bredde',
+		height			: 'Højde',
+		align			: 'Justering',
+		alignLeft		: 'Venstre',
+		alignRight		: 'Højre',
+		alignCenter		: 'Centreret',
+		alignTop		: 'Øverst',
+		alignMiddle		: 'Centreret',
+		alignBottom		: 'Nederst',
+		invalidHeight	: 'Højde skal være et tal.',
+		invalidWidth	: 'Bredde skal være et tal.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Scrollbar',
 		popupDependent	: 'Koblet/dependent (Netscape)',
-		popupWidth		: 'Bredde',
 		popupLeft		: 'Position fra venstre',
-		popupHeight		: 'Højde',
 		popupTop		: 'Position fra toppen',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Kolonner',
 		border		: 'Rammebredde',
-		align		: 'Justering',
-		alignLeft	: 'Venstrestillet',
-		alignCenter	: 'Centreret',
-		alignRight	: 'Højrestillet',
-		width		: 'Bredde',
 		widthPx		: 'pixels',
 		widthPc		: 'procent',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Højde',
 		cellSpace	: 'Celleafstand',
 		cellPad		: 'Cellemargen',
@@ -288,7 +292,4 @@
 			hAlign			: 'Vandret justering',
 			vAlign			: 'Lodret justering',
-			alignTop		: 'Top',
-			alignMiddle		: 'Midt',
-			alignBottom		: 'Bund',
 			alignBaseline	: 'Grundlinje',
 			bgColor			: 'Baggrundsfarve',
@@ -411,6 +412,4 @@
 		upload		: 'Upload',
 		alt			: 'Alternativ tekst',
-		width		: 'Bredde',
-		height		: 'Højde',
 		lockRatio	: 'Lås størrelsesforhold',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'Vandret margen',
 		vSpace		: 'Lodret margen',
-		align		: 'Justering',
-		alignLeft	: 'Venstre',
-		alignRight	: 'Højre',
 		alertUrl	: 'Indtast stien til billedet',
 		linkTab		: 'Hyperlink',
@@ -427,6 +423,4 @@
 		img2Button	: 'Vil du lave billedet om til en billedknap?',
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Samme domæne',
 		accessNever		: 'Aldrig',
-		align			: 'Justering',
-		alignLeft		: 'Venstre',
 		alignAbsBottom	: 'Absolut nederst',
 		alignAbsMiddle	: 'Absolut centreret',
 		alignBaseline	: 'Grundlinje',
-		alignBottom		: 'Nederst',
-		alignMiddle		: 'Centreret',
-		alignRight		: 'Højre',
 		alignTextTop	: 'Toppen af teksten',
-		alignTop		: 'Øverst',
 		quality			: 'Kvalitet',
 		qualityBest		: 'Bedste',
@@ -475,11 +463,7 @@
 		flashvars		: 'Variabler for Flash',
 		bgcolor			: 'Baggrundsfarve',
-		width			: 'Bredde',
-		height			: 'Højde',
 		hSpace			: 'Vandret margen',
 		vSpace			: 'Lodret margen',
 		validateSrc		: 'Indtast hyperlink URL!',
-		validateWidth	: 'Bredde skal være et tal.',
-		validateHeight	: 'Højde skal være et tal.',
 		validateHSpace	: 'Vandret margen skal være et tal.',
 		validateVSpace	: 'Lodret margen skal være et tal.'
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anker',
-		flash	: 'Flashanimation',
-		div		: 'Sideskift',
-		unknown	: 'Ukendt objekt'
+		anchor		: 'Anker',
+		flash		: 'Flashanimation',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Ukendt objekt'
 	},
 
Index: CKEditor/trunk/_source/lang/de.js
===================================================================
--- CKEditor/trunk/_source/lang/de.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/de.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Horizontale Linie einfügen',
 	pagebreak		: 'Seitenumbruch einfügen',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Link entfernen',
 	undo			: 'Rückgängig',
@@ -110,4 +111,15 @@
 		styles			: 'Style',
 		cssClasses		: 'Stylesheet Klasse',
+		width			: 'Breite',
+		height			: 'Höhe',
+		align			: 'Ausrichtung',
+		alignLeft		: 'Links',
+		alignRight		: 'Rechts',
+		alignCenter		: 'Zentriert',
+		alignTop		: 'Oben',
+		alignMiddle		: 'Mitte',
+		alignBottom		: 'Unten',
+		invalidHeight	: 'Höhe muss eine Zahl sein.',
+		invalidWidth	: 'Breite muss eine Zahl sein.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Rollbalken',
 		popupDependent	: 'Abhängig (Netscape)',
-		popupWidth		: 'Breite',
 		popupLeft		: 'Linke Position',
-		popupHeight		: 'Höhe',
 		popupTop		: 'Obere Position',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Spalte',
 		border		: 'Rahmen',
-		align		: 'Ausrichtung',
-		alignLeft	: 'Links',
-		alignCenter	: 'Zentriert',
-		alignRight	: 'Rechts',
-		width		: 'Breite',
 		widthPx		: 'Pixel',
 		widthPc		: '%',
 		widthUnit	: 'Breite Einheit',
-		height		: 'Höhe',
 		cellSpace	: 'Zellenabstand außen',
 		cellPad		: 'Zellenabstand innen',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontale Ausrichtung',
 			vAlign			: 'Vertikale Ausrichtung',
-			alignTop		: 'Oben',
-			alignMiddle		: 'Mitte',
-			alignBottom		: 'Unten',
 			alignBaseline	: 'Grundlinie',
 			bgColor			: 'Hintergrundfarbe',
@@ -411,6 +412,4 @@
 		upload		: 'Hochladen',
 		alt			: 'Alternativer Text',
-		width		: 'Breite',
-		height		: 'Höhe',
 		lockRatio	: 'Größenverhältnis beibehalten',
 		unlockRatio	: 'Ratio Freischalten',
@@ -419,7 +418,4 @@
 		hSpace		: 'Horizontal-Abstand',
 		vSpace		: 'Vertikal-Abstand',
-		align		: 'Ausrichtung',
-		alignLeft	: 'Links',
-		alignRight	: 'Rechts',
 		alertUrl	: 'Bitte geben Sie die Bild-URL an',
 		linkTab		: 'Link',
@@ -427,6 +423,4 @@
 		img2Button	: 'Möchten Sie das gewählten Bild in einen Bild-Button umwandeln?',
 		urlMissing	: 'Imagequelle URL fehlt.',
-		validateWidth	: 'Breite muß eine ganze Zahl sein.',
-		validateHeight	: 'Höhe muß eine ganze Zahl sein.',
 		validateBorder	: 'Rahmen muß eine ganze Zahl sein.',
 		validateHSpace	: 'Horizontal-Abstand muß eine ganze Zahl sein.',
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Gleiche Domain',
 		accessNever		: 'Nie',
-		align			: 'Ausrichtung',
-		alignLeft		: 'Links',
 		alignAbsBottom	: 'Abs Unten',
 		alignAbsMiddle	: 'Abs Mitte',
 		alignBaseline	: 'Baseline',
-		alignBottom		: 'Unten',
-		alignMiddle		: 'Mitte',
-		alignRight		: 'Rechts',
 		alignTextTop	: 'Text Oben',
-		alignTop		: 'Oben',
 		quality			: 'Qualität',
 		qualityBest		: 'Beste',
@@ -475,11 +463,7 @@
 		flashvars		: 'Variablen für Flash',
 		bgcolor			: 'Hintergrundfarbe',
-		width			: 'Breite',
-		height			: 'Höhe',
 		hSpace			: 'Horizontal-Abstand',
 		vSpace			: 'Vertikal-Abstand',
 		validateSrc		: 'Bitte geben Sie die Link-URL an',
-		validateWidth	: 'Breite muss eine Zahl sein.',
-		validateHeight	: 'Höhe muss eine Zahl sein.',
 		validateHSpace	: 'HSpace muss eine Zahl sein.',
 		validateVSpace	: 'VSpace muss eine Zahl sein.'
@@ -615,4 +599,13 @@
 		remove				: 'Div Entfernen'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anker',
-		flash	: 'Flash Animation',
-		div		: 'Seitenumbruch',
-		unknown	: 'Unbekanntes Objekt'
+		anchor		: 'Anker',
+		flash		: 'Flash Animation',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unbekanntes Objekt'
 	},
 
Index: CKEditor/trunk/_source/lang/el.js
===================================================================
--- CKEditor/trunk/_source/lang/el.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/el.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Εισαγωγή Οριζόντιας Γραμμής',
 	pagebreak		: 'Εισαγωγή τέλους σελίδας',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Αφαίρεση Συνδέσμου (Link)',
 	undo			: 'Αναίρεση',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Πλάτος',
+		height			: 'Ύψος',
+		align			: 'Ευθυγράμμιση (Align)',
+		alignLeft		: 'Αριστερά',
+		alignRight		: 'Δεξιά (Right)',
+		alignCenter		: 'Κέντρο',
+		alignTop		: 'Πάνω (Top)',
+		alignMiddle		: 'Μέση (Middle)',
+		alignBottom		: 'Κάτω (Bottom)',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Μπάρες Κύλισης',
 		popupDependent	: 'Dependent (Netscape)',
-		popupWidth		: 'Πλάτος',
 		popupLeft		: 'Τοποθεσία Αριστερής Άκρης',
-		popupHeight		: 'Ύψος',
 		popupTop		: 'Τοποθεσία Πάνω Άκρης',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Κολώνες',
 		border		: 'Μέγεθος Περιθωρίου',
-		align		: 'Στοίχιση',
-		alignLeft	: 'Αριστερά',
-		alignCenter	: 'Κέντρο',
-		alignRight	: 'Δεξιά',
-		width		: 'Πλάτος',
 		widthPx		: 'pixels',
 		widthPc		: '%',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Ύψος',
 		cellSpace	: 'Απόσταση κελιών',
 		cellPad		: 'Γέμισμα κελιών',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'Αποστολή',
 		alt			: 'Εναλλακτικό Κείμενο (ALT)',
-		width		: 'Πλάτος',
-		height		: 'Ύψος',
 		lockRatio	: 'Κλείδωμα Αναλογίας',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'Οριζόντιος Χώρος (HSpace)',
 		vSpace		: 'Κάθετος Χώρος (VSpace)',
-		align		: 'Ευθυγράμμιση (Align)',
-		alignLeft	: 'Αριστερά',
-		alignRight	: 'Δεξιά (Right)',
 		alertUrl	: 'Εισάγετε την τοποθεσία (URL) της εικόνας',
 		linkTab		: 'Σύνδεσμος',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'Ευθυγράμμιση (Align)',
-		alignLeft		: 'Αριστερά',
 		alignAbsBottom	: 'Απόλυτα Κάτω (Abs Bottom)',
 		alignAbsMiddle	: 'Απόλυτα στη Μέση (Abs Middle)',
 		alignBaseline	: 'Γραμμή Βάσης (Baseline)',
-		alignBottom		: 'Κάτω (Bottom)',
-		alignMiddle		: 'Μέση (Middle)',
-		alignRight		: 'Δεξιά (Right)',
 		alignTextTop	: 'Κορυφή Κειμένου (Text Top)',
-		alignTop		: 'Πάνω (Top)',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Χρώμα Υποβάθρου',
-		width			: 'Πλάτος',
-		height			: 'Ύψος',
 		hSpace			: 'Οριζόντιος Χώρος (HSpace)',
 		vSpace			: 'Κάθετος Χώρος (VSpace)',
 		validateSrc		: 'Εισάγετε την τοποθεσία (URL) του υπερσυνδέσμου (Link)',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en-au.js
===================================================================
--- CKEditor/trunk/_source/lang/en-au.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/en-au.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Insert Horizontal Line',
 	pagebreak		: 'Insert Page Break for Printing',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Unlink',
 	undo			: 'Undo',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Width', // MISSING
+		height			: 'Height', // MISSING
+		align			: 'Align',
+		alignLeft		: 'Left', // MISSING
+		alignRight		: 'Right', // MISSING
+		alignCenter		: 'Centre',
+		alignTop		: 'Top', // MISSING
+		alignMiddle		: 'Middle', // MISSING
+		alignBottom		: 'Bottom', // MISSING
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Scroll Bars',
 		popupDependent	: 'Dependent (Netscape)',
-		popupWidth		: 'Width',
 		popupLeft		: 'Left Position',
-		popupHeight		: 'Height',
 		popupTop		: 'Top Position',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Columns',
 		border		: 'Border size',
-		align		: 'Alignment',
-		alignLeft	: 'Left',
-		alignCenter	: 'Centre',
-		alignRight	: 'Right',
-		width		: 'Width',
 		widthPx		: 'pixels',
 		widthPc		: 'percent',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Height',
 		cellSpace	: 'Cell spacing',
 		cellPad		: 'Cell padding',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment',
 			vAlign			: 'Vertical Alignment',
-			alignTop		: 'Top',
-			alignMiddle		: 'Middle',
-			alignBottom		: 'Bottom',
 			alignBaseline	: 'Baseline',
 			bgColor			: 'Background Color',
@@ -411,6 +412,4 @@
 		upload		: 'Upload',
 		alt			: 'Alternative Text',
-		width		: 'Width',
-		height		: 'Height',
 		lockRatio	: 'Lock Ratio',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'HSpace',
 		vSpace		: 'VSpace',
-		align		: 'Align',
-		alignLeft	: 'Left',
-		alignRight	: 'Right',
 		alertUrl	: 'Please type the image URL',
 		linkTab		: 'Link',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?',
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain',
 		accessNever		: 'Never',
-		align			: 'Align',
-		alignLeft		: 'Left',
 		alignAbsBottom	: 'Abs Bottom',
 		alignAbsMiddle	: 'Abs Middle',
 		alignBaseline	: 'Baseline',
-		alignBottom		: 'Bottom',
-		alignMiddle		: 'Middle',
-		alignRight		: 'Right',
 		alignTextTop	: 'Text Top',
-		alignTop		: 'Top',
 		quality			: 'Quality',
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash',
 		bgcolor			: 'Background colour',
-		width			: 'Width',
-		height			: 'Height',
 		hSpace			: 'HSpace',
 		vSpace			: 'VSpace',
 		validateSrc		: 'URL must not be empty.',
-		validateWidth	: 'Width must be a number.',
-		validateHeight	: 'Height must be a number.',
 		validateHSpace	: 'HSpace must be a number.',
 		validateVSpace	: 'VSpace must be a number.'
@@ -529,8 +513,8 @@
 	justify :
 	{
-		left	: 'Left Justify',
-		center	: 'Centre Justify',
-		right	: 'Right Justify',
-		block	: 'Block Justify'
+		left	: 'Align Left',
+		center	: 'Centre',
+		right	: 'Align Right',
+		block	: 'Justify'
 	},
 
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/en-ca.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/en-ca.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Insert Horizontal Line',
 	pagebreak		: 'Insert Page Break for Printing',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Unlink',
 	undo			: 'Undo',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Width', // MISSING
+		height			: 'Height', // MISSING
+		align			: 'Align',
+		alignLeft		: 'Left', // MISSING
+		alignRight		: 'Right', // MISSING
+		alignCenter		: 'Centre',
+		alignTop		: 'Top', // MISSING
+		alignMiddle		: 'Middle', // MISSING
+		alignBottom		: 'Bottom', // MISSING
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Scroll Bars',
 		popupDependent	: 'Dependent (Netscape)',
-		popupWidth		: 'Width',
 		popupLeft		: 'Left Position',
-		popupHeight		: 'Height',
 		popupTop		: 'Top Position',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Columns',
 		border		: 'Border size',
-		align		: 'Alignment',
-		alignLeft	: 'Left',
-		alignCenter	: 'Centre',
-		alignRight	: 'Right',
-		width		: 'Width',
 		widthPx		: 'pixels',
 		widthPc		: 'percent',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Height',
 		cellSpace	: 'Cell spacing',
 		cellPad		: 'Cell padding',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment',
 			vAlign			: 'Vertical Alignment',
-			alignTop		: 'Top',
-			alignMiddle		: 'Middle',
-			alignBottom		: 'Bottom',
 			alignBaseline	: 'Baseline',
 			bgColor			: 'Background Color',
@@ -411,6 +412,4 @@
 		upload		: 'Upload',
 		alt			: 'Alternative Text',
-		width		: 'Width',
-		height		: 'Height',
 		lockRatio	: 'Lock Ratio',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'HSpace',
 		vSpace		: 'VSpace',
-		align		: 'Align',
-		alignLeft	: 'Left',
-		alignRight	: 'Right',
 		alertUrl	: 'Please type the image URL',
 		linkTab		: 'Link',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?',
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain',
 		accessNever		: 'Never',
-		align			: 'Align',
-		alignLeft		: 'Left',
 		alignAbsBottom	: 'Abs Bottom',
 		alignAbsMiddle	: 'Abs Middle',
 		alignBaseline	: 'Baseline',
-		alignBottom		: 'Bottom',
-		alignMiddle		: 'Middle',
-		alignRight		: 'Right',
 		alignTextTop	: 'Text Top',
-		alignTop		: 'Top',
 		quality			: 'Quality',
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash',
 		bgcolor			: 'Background colour',
-		width			: 'Width',
-		height			: 'Height',
 		hSpace			: 'HSpace',
 		vSpace			: 'VSpace',
 		validateSrc		: 'URL must not be empty.',
-		validateWidth	: 'Width must be a number.',
-		validateHeight	: 'Height must be a number.',
 		validateHSpace	: 'HSpace must be a number.',
 		validateVSpace	: 'VSpace must be a number.'
@@ -529,8 +513,8 @@
 	justify :
 	{
-		left	: 'Left Justify',
-		center	: 'Centre Justify',
-		right	: 'Right Justify',
-		block	: 'Block Justify'
+		left	: 'Align Left',
+		center	: 'Centre',
+		right	: 'Align Right',
+		block	: 'Justify'
 	},
 
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en-gb.js
===================================================================
--- CKEditor/trunk/_source/lang/en-gb.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/en-gb.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Insert Horizontal Line',
 	pagebreak		: 'Insert Page Break for Printing',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Unlink',
 	undo			: 'Undo',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Width', // MISSING
+		height			: 'Height', // MISSING
+		align			: 'Align',
+		alignLeft		: 'Left', // MISSING
+		alignRight		: 'Right', // MISSING
+		alignCenter		: 'Centre',
+		alignTop		: 'Top', // MISSING
+		alignMiddle		: 'Middle', // MISSING
+		alignBottom		: 'Bottom', // MISSING
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Scroll Bars',
 		popupDependent	: 'Dependent (Netscape)',
-		popupWidth		: 'Width',
 		popupLeft		: 'Left Position',
-		popupHeight		: 'Height',
 		popupTop		: 'Top Position',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Columns',
 		border		: 'Border size',
-		align		: 'Alignment',
-		alignLeft	: 'Left',
-		alignCenter	: 'Centre',
-		alignRight	: 'Right',
-		width		: 'Width',
 		widthPx		: 'pixels',
 		widthPc		: 'percent',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Height',
 		cellSpace	: 'Cell spacing',
 		cellPad		: 'Cell padding',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment',
 			vAlign			: 'Vertical Alignment',
-			alignTop		: 'Top',
-			alignMiddle		: 'Middle',
-			alignBottom		: 'Bottom',
 			alignBaseline	: 'Baseline',
 			bgColor			: 'Background Color',
@@ -411,6 +412,4 @@
 		upload		: 'Upload',
 		alt			: 'Alternative Text',
-		width		: 'Width',
-		height		: 'Height',
 		lockRatio	: 'Lock Ratio',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'HSpace',
 		vSpace		: 'VSpace',
-		align		: 'Align',
-		alignLeft	: 'Left',
-		alignRight	: 'Right',
 		alertUrl	: 'Please type the image URL',
 		linkTab		: 'Link',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?',
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain',
 		accessNever		: 'Never',
-		align			: 'Align',
-		alignLeft		: 'Left',
 		alignAbsBottom	: 'Abs Bottom',
 		alignAbsMiddle	: 'Abs Middle',
 		alignBaseline	: 'Baseline',
-		alignBottom		: 'Bottom',
-		alignMiddle		: 'Middle',
-		alignRight		: 'Right',
 		alignTextTop	: 'Text Top',
-		alignTop		: 'Top',
 		quality			: 'Quality',
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash',
 		bgcolor			: 'Background colour',
-		width			: 'Width',
-		height			: 'Height',
 		hSpace			: 'HSpace',
 		vSpace			: 'VSpace',
 		validateSrc		: 'URL must not be empty.',
-		validateWidth	: 'Width must be a number.',
-		validateHeight	: 'Height must be a number.',
 		validateHSpace	: 'HSpace must be a number.',
 		validateVSpace	: 'VSpace must be a number.'
@@ -529,8 +513,8 @@
 	justify :
 	{
-		left	: 'Left Justify',
-		center	: 'Centre Justify',
-		right	: 'Right Justify',
-		block	: 'Block Justify'
+		left	: 'Align Left',
+		center	: 'Centre',
+		right	: 'Align Right',
+		block	: 'Justify'
 	},
 
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en.js
===================================================================
--- CKEditor/trunk/_source/lang/en.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/en.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Insert Horizontal Line',
 	pagebreak		: 'Insert Page Break for Printing',
+	pagebreakAlt		: 'Page Break',
 	unlink			: 'Unlink',
 	undo			: 'Undo',
@@ -110,4 +111,15 @@
 		styles			: 'Style',
 		cssClasses		: 'Stylesheet Classes',
+		width			: 'Width',
+		height			: 'Height',
+		align			: 'Alignment',
+		alignLeft		: 'Left',
+		alignRight		: 'Right',
+		alignCenter		: 'Center',
+		alignTop		: 'Top',
+		alignMiddle		: 'Middle',
+		alignBottom		: 'Bottom',
+		invalidHeight	: 'Height must be a number.',
+		invalidWidth	: 'Width must be a number.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Scroll Bars',
 		popupDependent	: 'Dependent (Netscape)',
-		popupWidth		: 'Width',
 		popupLeft		: 'Left Position',
-		popupHeight		: 'Height',
 		popupTop		: 'Top Position',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Columns',
 		border		: 'Border size',
-		align		: 'Alignment',
-		alignLeft	: 'Left',
-		alignCenter	: 'Center',
-		alignRight	: 'Right',
-		width		: 'Width',
 		widthPx		: 'pixels',
 		widthPc		: 'percent',
 		widthUnit	: 'width unit',
-		height		: 'Height',
 		cellSpace	: 'Cell spacing',
 		cellPad		: 'Cell padding',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment',
 			vAlign			: 'Vertical Alignment',
-			alignTop		: 'Top',
-			alignMiddle		: 'Middle',
-			alignBottom		: 'Bottom',
 			alignBaseline	: 'Baseline',
 			bgColor			: 'Background Color',
@@ -411,6 +412,4 @@
 		upload		: 'Upload',
 		alt			: 'Alternative Text',
-		width		: 'Width',
-		height		: 'Height',
 		lockRatio	: 'Lock Ratio',
 		unlockRatio	: 'Unlock Ratio',
@@ -419,7 +418,4 @@
 		hSpace		: 'HSpace',
 		vSpace		: 'VSpace',
-		align		: 'Align',
-		alignLeft	: 'Left',
-		alignRight	: 'Right',
 		alertUrl	: 'Please type the image URL',
 		linkTab		: 'Link',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?',
 		urlMissing	: 'Image source URL is missing.',
-		validateWidth	: 'Width must be a whole number.',
-		validateHeight	: 'Height must be a whole number.',
 		validateBorder	: 'Border must be a whole number.',
 		validateHSpace	: 'HSpace must be a whole number.',
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain',
 		accessNever		: 'Never',
-		align			: 'Align',
-		alignLeft		: 'Left',
 		alignAbsBottom	: 'Abs Bottom',
 		alignAbsMiddle	: 'Abs Middle',
 		alignBaseline	: 'Baseline',
-		alignBottom		: 'Bottom',
-		alignMiddle		: 'Middle',
-		alignRight		: 'Right',
 		alignTextTop	: 'Text Top',
-		alignTop		: 'Top',
 		quality			: 'Quality',
 		qualityBest		: 'Best',
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash',
 		bgcolor			: 'Background color',
-		width			: 'Width',
-		height			: 'Height',
 		hSpace			: 'HSpace',
 		vSpace			: 'VSpace',
 		validateSrc		: 'URL must not be empty.',
-		validateWidth	: 'Width must be a number.',
-		validateHeight	: 'Height must be a number.',
 		validateHSpace	: 'HSpace must be a number.',
 		validateVSpace	: 'VSpace must be a number.'
@@ -529,8 +513,8 @@
 	justify :
 	{
-		left	: 'Left Justify',
-		center	: 'Center Justify',
-		right	: 'Right Justify',
-		block	: 'Block Justify'
+		left	: 'Align Left',
+		center	: 'Center',
+		right	: 'Align Right',
+		block	: 'Justify'
 	},
 
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties',
+		toolbar		: 'iFrame',
+		noUrl		: 'Please type the iFrame URL',
+		scrolling	: 'Enable scrollbars',
+		border		: 'Show frame border'
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor',
-		flash	: 'Flash Animation',
-		div		: 'Page Break',
-		unknown	: 'Unknown Object'
+		anchor		: 'Anchor',
+		flash		: 'Flash Animation',
+		iframe		: 'iFrame',
+		hiddenfield	: 'Hidden Field',
+		unknown		: 'Unknown Object'
 	},
 
